Subject: bug#45605: [macos] could not load dump file - more info

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Jan 2021 16:50:37 +0200

> From: Pankaj Jangid <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 02 Jan 2021 20:11:35 +0530
> 
> Luckily I have kept that terminal open and copied the build log. As I am
> inspecting it, I see that the configure script was run multiple
> times. Is this normal?

If you run "make bootstrap", it is normal to see the configure script
run twice, yes.  Do you see it being run more than twice?

> There are no other errors in the build. Just in the end. That I shared
> earlier in this thread.

Which ones? these ones:

> rm -f emacs && cp -f temacs emacs
> ../build-aux/install-sh -c -d /Users/pankaj/work/code/savannah/emacs/nextstep/Emacs.app/Contents/MacOS
> cp -f ../src/emacs /Users/pankaj/work/code/savannah/emacs/nextstep/Emacs.app/Contents/MacOS/Emacs
> ../build-aux/install-sh -c -d /Users/pankaj/work/code/savannah/emacs/nextstep/Emacs.app/Contents/MacOS
> cp -f ../src/emacs.pdmp /Users/pankaj/work/code/savannah/emacs/nextstep/Emacs.app/Contents/MacOS/Emacs.pdmp
> /Library/Developer/CommandLineTools/usr/bin/make -C lisp all
> /Library/Developer/CommandLineTools/usr/bin/make -C ../leim all EMACS="../src/emacs"
> make[3]: Nothing to be done for `all'.
> /Library/Developer/CommandLineTools/usr/bin/make -C ../admin/grammars all EMACS="../../src/emacs"
> make[3]: Nothing to be done for `all'.
>   ELC      emacs-lisp/eieio.elc
> desired fingerprint: a34ddd269ef1a8b036d7dc1d011d235ea4a6b4889bc78aa11ed1e593906e85d1
> found fingerprint: c309a34afb78f953a36914d34d5b85e140ac96638f85a8fbadd4ee287beb52d8
> emacs: could not load dump file "/Users/pankaj/work/code/savannah/emacs/src/emacs.pdmp": not built for this Emacs executable
> make[3]: *** [emacs-lisp/eieio.elc] Error 1
> make[2]: *** [compile-main] Error 2
> make[1]: *** [lisp] Error 2
> make: *** [bootstrap] Error 2

?

> BTW, is the build log automatically saved somewhere.

No.